Results 1 to 3 of 3

Thread: build app error -> com.sencha.util.LicenseUtil -> UnstatiesfiedLinkError

  1. #1

    Default build app error -> com.sencha.util.LicenseUtil -> UnstatiesfiedLinkError

    Since today i get the following error when i build my app (build will succeed anyway):

    Code:
    sencha app build development
    Sencha Cmd v7.0.0.40
    [INF] Processing Build Descriptor : classic (development environment)
    loadLibrary UnsatisfiedLinkError: Could not load the library from file.
    Exception in thread "Thread-1" java.lang.UnsatisfiedLinkError: phdl.Phdl.IO()I
            at phdl.Phdl.IO(Native Method)
            at com.sencha.licenses.update.UpdatePing.initPing(UpdatePing.java:305)
            at com.sencha.licenses.update.UpdatePing.ping(UpdatePing.java:290)
            at com.sencha.licenses.update.UpdatePing.pingOnInterval(UpdatePing.java:247)
            at com.sencha.licenses.update.UpdatePing.run(UpdatePing.java:144)
            at com.sencha.licenses.update.UpdatePing.pingWithInterval(UpdatePing.java:105)
            at com.sencha.util.LicenseUtil.verify(LicenseUtil.java:297)
            at com.sencha.util.LicenseUtil.access$000(LicenseUtil.java:23)
            at com.sencha.util.LicenseUtil$1.run(LicenseUtil.java:250)
            at java.lang.Thread.run(Unknown Source)
    Any idea whats the cause?

  2. #2
    Sencha Premium Member
    Join Date
    Jan 2015
    Location
    Austria
    Posts
    6

    Default

    Hi Maurice,
    I once had the same/similar issue when I have been using SenchaCMD with the openJdk.
    Make sure you use Sencha CMD with the bundled Oracle Jdk or update the PATH Environment variable to point to an oracle JDK.

  3. #3

    Default

    Hi gwt,
    thanks for the feedback but i am not using openjdk. Tried updating Java now and accepting the new LicenseAgreement but still getting this error.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •